Which browsers are supported by TalentLMS?

TalentLMS is compatible with all modern browsers including Firefox, IE 9+, Chrome, Safari, and Opera. Our platform is also compatible with all browsers used by the latest mobile devices (i.e., iOS and Android).

When TalentLMS detects an older browser, the user is automatically prompted to update their browser to experience our software the best way possible.

Note: Older browsers don't support HTML5 and other standards adequately. Regardless of using TalentLMS, we strongly recommend that you install a modern browser to enjoy an optimal internet experience.

Feedback and Knowledge Base